Debian Bug report logs - #627944
python-pyhyphen: doesn't work out-of-the-box with hyphen-* packages

version graph

Package: python-pyhyphen; Maintainer for python-pyhyphen is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-pyhyphen is src:python-pyhyphen.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Wed, 25 May 2011 18:36:02 UTC

Severity: grave

Found in version python-pyhyphen/1.0~beta1-2

Fixed in version python-pyhyphen/1.0~beta1-3

Done: Richard Stephen Uhler <ruhler@csail.mit.edu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#627944; Package python-pyhyphen. (Wed, 25 May 2011 18:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 25 May 2011 18:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-pyhyphen: doesn't work out-of-the-box with hyphen-* packages
Date: Wed, 25 May 2011 20:34:27 +0200
Package: python-pyhyphen
Version: 1.0~beta1-2
Severity: important

I have hyphen-en-us installed on my system, so expected that calling 
hyphen.hyphenator() with default arguments will open the US English 
dictionary. But instead it raises rather unhelpful exception:

$ python -c 'from hyphen import hyphenator; hyphenator()'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.6/dist-packages/hyphen/__init__.py", line 132, in __init__
    compound_lmin, compound_rmin)
IOError: Cannot load hyphen dictionary.

Looking at strace output, pyhyphen is trying to open a file in a 
nonsense directory:

open("$path/en_US", O_RDONLY)           = -1 ENOENT (No such file or directory)


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-pyhyphen depends on:
ii  libc6                         2.13-4     Embedded GNU C Library: Shared lib
ii  python                        2.6.6-14   interactive high-level object-orie
ii  python2.6                     2.6.6-10   An interactive high-level object-o
ii  python2.7                     2.7.1-9    An interactive high-level object-o

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#627944; Package python-pyhyphen. (Wed, 12 Oct 2011 21:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 12 Oct 2011 21:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 627944@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 627944@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#627944: python-pyhyphen: doesn't work out-of-the-box with hyphen-* packages
Date: Wed, 12 Oct 2011 23:25:50 +0200
severity 627944 grave
thanks

* Jakub Wilk <jwilk@debian.org>, 2011-05-25, 20:34:
>I have hyphen-en-us installed on my system, so expected that calling 
>hyphen.hyphenator() with default arguments will open the US English 
>dictionary. But instead it raises rather unhelpful exception:
>
>$ python -c 'from hyphen import hyphenator; hyphenator()'
>Traceback (most recent call last):
>  File "<string>", line 1, in <module>
>  File "/usr/lib/python2.6/dist-packages/hyphen/__init__.py", line 132, in __init__
>    compound_lmin, compound_rmin)
>IOError: Cannot load hyphen dictionary.

I played with pyhyphen a bit more, and I couldn't find any sane way to 
use it successfully. Therefore, I'm raising severity to grave (as in: 
renders package unusable).

-- 
Jakub Wilk




Severity set to 'grave' from 'important' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 12 Oct 2011 21:27:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#627944; Package python-pyhyphen. (Thu, 14 Jun 2012 09:57:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alberto Quattrini Li <alberto.quattrinili@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 14 Jun 2012 09:57:18 GMT) Full text and rfc822 format available.

Message #17 received at 627944@bugs.debian.org (full text, mbox):

From: Alberto Quattrini Li <alberto.quattrinili@gmail.com>
To: 627944@bugs.debian.org
Subject: Re: python-pyhyphen: doesn't work out-of-the-box with hyphen-* packages
Date: Thu, 14 Jun 2012 11:53:03 +0200
Followup-For: Bug #627944
Package: python-pyhyphen
Version: 1.0~beta1-2
This bug happens in my system too. Even loading another hyphen
dictionary (e.g., it) leads to the same error.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-pyhyphen depends on:
ii  libc6      2.13-33
ii  python     2.7.3~rc2-1
ii  python2.6  2.6.7-4
ii  python2.7  2.7.3~rc2-2.1

python-pyhyphen recommends no packages.

python-pyhyphen suggests no packages.

-- no debconf information

--
Alberto Quattrini Li




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#627944; Package python-pyhyphen. (Thu, 14 Jun 2012 12:07:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alberto Quattrini Li <alberto.quattrinili@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 14 Jun 2012 12:07:22 GMT) Full text and rfc822 format available.

Message #22 received at 627944@bugs.debian.org (full text, mbox):

From: Alberto Quattrini Li <alberto.quattrinili@gmail.com>
To: 627944@bugs.debian.org
Subject: Re: python-pyhyphen: doesn't work out-of-the-box with hyphen-* packages
Date: Thu, 14 Jun 2012 14:01:48 +0200
The only way to make it works is to modify the code, for correct
pointing to the correct hyphen dictionaries path and files.

Specifically, in config.py, you should modify

1: default_dict_path = u'$path' -> default_dict_path = u'/usr/share/hyphen'

basically the correct path pointing to the directory where hyphen
dictionaries are

and in __init__.py

129: else: file_name = language -> else: file_name = u'/hyph_' +
language + u'.dic'

If you want, I can provide you a patch to solve the problem in the
package. I don't know if this is an upstream problem, as every OS
handles differently the directories where hyphen dictionaries are
stored and it is not said that environment variables, first of all,
contain such a path, and secondly, are the same in every OS.

Alberto Quattrini Li


On Thu, Jun 14, 2012 at 11:53 AM, Alberto Quattrini Li
<alberto.quattrinili@gmail.com> wrote:
> Followup-For: Bug #627944
> Package: python-pyhyphen
> Version: 1.0~beta1-2
> This bug happens in my system too. Even loading another hyphen
> dictionary (e.g., it) leads to the same error.
>
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers unstable
>  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 3.2.0-1-amd64 (SMP w/8 CPU cores)
> Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages python-pyhyphen depends on:
> ii  libc6      2.13-33
> ii  python     2.7.3~rc2-1
> ii  python2.6  2.6.7-4
> ii  python2.7  2.7.3~rc2-2.1
>
> python-pyhyphen recommends no packages.
>
> python-pyhyphen suggests no packages.
>
> -- no debconf information
>
> --
> Alberto Quattrini Li




Added tag(s) pending. Request was from ruhler@MIT.EDU to control@bugs.debian.org. (Sat, 11 Jan 2014 18:48:08 GMT) Full text and rfc822 format available.

Reply sent to Richard Stephen Uhler <ruhler@csail.mit.edu>:
You have taken responsibility. (Sat, 11 Jan 2014 19:06:17 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sat, 11 Jan 2014 19:06:17 GMT) Full text and rfc822 format available.

Message #29 received at 627944-close@bugs.debian.org (full text, mbox):

From: Richard Stephen Uhler <ruhler@csail.mit.edu>
To: 627944-close@bugs.debian.org
Subject: Bug#627944: fixed in python-pyhyphen 1.0~beta1-3
Date: Sat, 11 Jan 2014 19:05:38 +0000
Source: python-pyhyphen
Source-Version: 1.0~beta1-3

We believe that the bug you reported is fixed in the latest version of
python-pyhyphen, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627944@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Richard Stephen Uhler <ruhler@csail.mit.edu> (supplier of updated python-pyhyphen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 11 Jan 2014 13:43:10 -0500
Source: python-pyhyphen
Binary: python-pyhyphen
Architecture: source amd64
Version: 1.0~beta1-3
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Richard Stephen Uhler <ruhler@csail.mit.edu>
Description: 
 python-pyhyphen - hyphenation library of OpenOffice and FireFox wrapped for Python
Closes: 627944
Changes: 
 python-pyhyphen (1.0~beta1-3) unstable; urgency=low
 .
   * Team upload.
   * Fixed bug with dictionary filename for python 2. Closes: 627944
Checksums-Sha1: 
 f2c1f98bc25668b0add165f9928a15d9bea1036c 1919 python-pyhyphen_1.0~beta1-3.dsc
 36b9be8032b2bbbb039d3ab073197ca3e51244c0 80036 python-pyhyphen_1.0~beta1.orig.tar.gz
 4417b76d3543491e5a6e2d84846102733f46c476 2440 python-pyhyphen_1.0~beta1-3.debian.tar.gz
 35b479e8b0d2c2e675b0c913c8ca2f9872ab733d 30570 python-pyhyphen_1.0~beta1-3_amd64.deb
Checksums-Sha256: 
 6d8753d77e65edcdab6f772251677b9e0ce229d39004da9860db859c37eb14ce 1919 python-pyhyphen_1.0~beta1-3.dsc
 5d8611c46dd0800034849f79336e7962aa1fb8d962a0872c5e88ef9a444e7fe6 80036 python-pyhyphen_1.0~beta1.orig.tar.gz
 449d718e9faf8370caf009192686388fab113322f92fd949b534c0dd0565990c 2440 python-pyhyphen_1.0~beta1-3.debian.tar.gz
 7f29e194da4e19fd65b7a25738a8ff920d1973aed381e15284e3f85277167dd4 30570 python-pyhyphen_1.0~beta1-3_amd64.deb
Files: 
 11cf71b4c05bb7f8abb32015f9ef1667 1919 python extra python-pyhyphen_1.0~beta1-3.dsc
 1dae27314f5b0ab7db70c306d65d40c1 80036 python extra python-pyhyphen_1.0~beta1.orig.tar.gz
 f3113873cc006d61b861beeff5415c07 2440 python extra python-pyhyphen_1.0~beta1-3.debian.tar.gz
 9be9085379b7135332b5fbb59217a033 30570 python extra python-pyhyphen_1.0~beta1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJS0ZPqAAoJEJcyXdj5/dUGv4YP/0/M4fNDhUSOPNDldAu0kV3B
+v4YBSVL295oenX2aeXu31bnUciB2UDo7MLRfzOJtZi1ihfqwAd1u3bYZlAbTdeV
B1wV2AA6fIMFnygCoakLSHWY9JKz4iA4uR4WnuiVG0w2KhCb71pJ7Jk7VqNzMtEM
0rDq2n0lhcWYBh5WK+knvKCvdNQXpu4rDW2QvLj6Ljq1j5pDnXUUuOZ9U+9LhGNr
PdGMqKcYwTUflKtqUwKsKkaQisXhhX4K+g3HEy9LJO1ifyOqAlPi1mlvcIHZW/SV
bRtEs57A74LXHF5UZ/IP8lOPnkmj55L1QtwKKjLeV8FJoxFBaJLsXBGkx8omiYf5
7b+JDW0K6eykgXrXqdGn3T20L6fPmAPV/wI1l4Rtuq3w3ryS6zaIqyP93EmJg8ND
tXZKTAhO3oOqFdyrR37ayfbn+LWPGpi5vgxdB791x8/4eX+Vq+JTlmL0Eq6iwEMz
gFxcsLaKti7KrUbFTDghrOf6GZCfHXBrNQzHMKAmb3kb3TdQ913mVgBMgNXkxOXR
efrZoxjLqnIz1/KeDQGW0bR4fWNY909ZBrtV4QzVrEQPdqz0m3g0f0apsPmcuBfT
4Hf6QHXnCaqUG3rrueQ8HrREJvsafE5UbKjXR0oV6cCB7ebSwiXj8iu825vljJs9
LBNZMkFN6gHxscspjEMT
=AZLS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Feb 2014 07:31:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:40:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.